/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.test.cdi;

import java.util.Comparator;

import org.junit.runners.model.FrameworkMethod;

final class FrameworkMethodSorter implements Comparator<FrameworkMethod> {

    @Override
    public int compare(FrameworkMethod m1, FrameworkMethod m2) {
        int i1 = 0;
        int i2 = 0;
        if (m1.getMethod().isAnnotationPresent(Order.class)) {
            i1 = m1.getMethod().getAnnotation(Order.class).value();
        }
        if (m2.getMethod().isAnnotationPresent(Order.class)) {
            i2 = m2.getMethod().getAnnotation(Order.class).value();
        }
        return i1 < i2 ? -1 : (i1 == i2 ? 0 : 1);
    }
}
